#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <errno.h>
#include <string.h>
#include <unistd.h>

int main(int argc, char *argv[])
{
	int fd = -1;
	int data;

	fd = open("test", O_CREAT | O_RDWR, S_IRUSR | S_IWUSR | S_IRGRP | S_IROTH);
	if(fd < 0){
		printf("Unable to create file (%s).\n", strerror(errno));
	}else{
		/* Write something to prove we have write access. */
		printf("Writing \"%d\" to file.\n", fd);
		write(fd, &fd, sizeof(int));
		close(fd);
	}

	fd = open("test", O_RDWR, S_IRUSR | S_IWUSR | S_IRGRP | S_IROTH);
	if(fd < 0){
		printf("Unable to read file (%s).\n", strerror(errno));
	}else{
		read(fd, &data, sizeof(int));
		printf("Reading data: %d\n", data);

		data = 42;
		write(fd, &data, sizeof(int));
		printf("Writing data: %d (%s)\n", data, strerror(errno));
	}


	return 0;
}

